Creates an XMLReader from an XML string

- « XMLReader::fromStream

- XMLReader::fromUri »

- PHP Manual
- XMLReader
- Creates an XMLReader from an XML string

# XMLReader::fromString

(PHP 8 >= 8.4.0)

XMLReader::fromString — Creates an XMLReader from an XML string

### Description

public static XMLReader::fromString(string `$source`, ?string `$encoding` = `null`, int `$flags` = 0): static

Creates an XMLReader from an XML string.

### Parameters

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `null`.

`flags`

  A bitmask of the LIBXML_* constants.

### Return Values

Returns an XMLReader.

### Errors/Exceptions

- Passing an invalid `encoding` will throw a ValueError.

### See Also

- XMLReader::fromStream() - Creates an XMLReader from a stream to read from
- XMLReader::fromUri() - Creates an XMLReader from a URI to read from